| Home | Libraries | People | FAQ | More

###### websocket::stream::stream (3 of 3 overloads)

Rebinding constructor.

###### Synopsis

    template<
        class Other>
    stream(
        stream< Other >&& other);

###### Description

This constructor creates a the websocket stream from a websocket stream with a different executor.

###### Exceptions

Type | Thrown On
--- | ---
`Any` | exception thrown by the NextLayer rebind constructor.

###### Parameters

Name | Description
--- | ---
`other` | The other websocket stream to construct from.